diff --git a/doc.zih.tu-dresden.de/util/check-links.sh b/doc.zih.tu-dresden.de/util/check-links.sh
index 34a3ef1a58893327e2eaf7a7bd71d5914eca3716..e553f9c4828a2286a5f053181dd09eaaa28746ad 100755
--- a/doc.zih.tu-dresden.de/util/check-links.sh
+++ b/doc.zih.tu-dresden.de/util/check-links.sh
@@ -44,9 +44,12 @@ any_fails=false
 files=$(git diff --name-only "$(git merge-base HEAD "$branch")")
 for f in $files; do
   if [ "${f: -3}" == ".md" ]; then
-    echo "Checking links for $f"
-    if ! $mlc -q -p "$f"; then
+    # do not check links for deleted files
+    if [ -e x.txt ]; then
+      echo "Checking links for $f"
+      if ! $mlc -q -p "$f"; then
         any_fails=true
+      fi
     fi
   fi
 done